import { Command } from '@oclif/command';
import * as Config from '@oclif/config';
import ConfigRepository from '../config/ConfigRepository';
import { ApiModel, AdapterInterface, PluginInterface } from '@comet-cli/types';
import Logger from '../helpers/Logger';
import File from '../helpers/File';
export default abstract class BaseCommand extends Command {
    protected configRepository: ConfigRepository;
    protected adapter: AdapterInterface;
    protected plugins: PluginInterface[];
    protected logger: Logger;
    protected signature: string | undefined;
    protected configKey: string | undefined;
    protected warnings: string[];
    constructor(argv: string[], config: Config.IConfig);
    protected resolve(file: File): Promise<void>;
    protected loadFile(args: {
        input: string;
    }): Promise<File>;
    protected parseSpec(file: File): Promise<ApiModel>;
    protected runPlugins(model: ApiModel): Promise<void>;
    protected printWarnings(): void;
}
